OpenStack Compute (Nova)

rescue broken for xenserver, no attribute 'admin_pass'

Reported by Antony Messerli on 2011-09-01
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
High
Dan Prince

Bug Description

Rescue is broken in rev 1514. Seems to be looking for admin_pass which was recently removed. Traceback:

2011-09-01 01:27:36,232 ERROR nova.exception [-] Uncaught exception
(nova.exception): TRACE: None
(nova.exception): TRACE:
2011-09-01 01:27:36,233 ERROR nova.rpc [-] Exception during message handling
(nova.rpc): TRACE: Traceback (most recent call last):
(nova.rpc): TRACE: File "/usr/lib/pymodules/python2.6/nova/rpc/impl_kombu.py", line 620, in _process_data
(nova.rpc): TRACE: rval = node_func(context=ctxt, **node_args)
(nova.rpc): TRACE: File "/usr/lib/pymodules/python2.6/nova/exception.py", line 129, in wrapped
(nova.rpc): TRACE: raise Error(str(e))
(nova.rpc): TRACE: Error: list index out of range
(nova.rpc): TRACE:
2011-09-01 01:27:43,103 INFO nova.virt.xenapi [-] Task [Async.host.call_plugin] OpaqueRef:dc997d4d-d8b4-2de7-94ed-0b086c3834ca status: success <value>{&quot;message&quot;: &quot;0.0.1.28&quot;, &quot;returncode&quot;: &quot;0&quot;}</value>
2011-09-01 01:27:43,105 INFO nova.virt.xenapi.vmops [-] Instance agent version: 0.0.1.28
2011-09-01 01:27:43,105 WARNING nova.virt.xenapi.vmops [-] 'Instance' object has no attribute 'admin_pass'
2011-09-01 01:27:43,105 ERROR nova.virt.xenapi.vmops [-] Instance instance-00008702-rescue: failed to boot
(nova.virt.xenapi.vmops): TRACE: Traceback (most recent call last):
(nova.virt.xenapi.vmops): TRACE: File "/usr/lib/pymodules/python2.6/nova/virt/xenapi/vmops.py", line 377, in _wait_for_boot
(nova.virt.xenapi.vmops): TRACE: _set_admin_password()
(nova.virt.xenapi.vmops): TRACE: File "/usr/lib/pymodules/python2.6/nova/virt/xenapi/vmops.py", line 355, in _set_admin_password
(nova.virt.xenapi.vmops): TRACE: admin_password = instance.admin_pass
(nova.virt.xenapi.vmops): TRACE: AttributeError: 'Instance' object has no attribute 'admin_pass'
(nova.virt.xenapi.vmops): TRACE:

Related branches

lp:~rackspace-titan/nova/rescue_fix_admin_pass
Merged into lp:~hudson-openstack/nova/trunk at revision 1582
Brian Lamar (community): Approve on 2011-09-16
Devin Carlen (community): Approve on 2011-09-16
Chris Behrens (community): Approve on 2011-09-08
Brian Waldon (community): Approve on 2011-09-07
Dan Prince (dan-prince) on 2011-09-01
Changed in nova:
assignee: nobody → Dan Prince (dan-prince)
status: New → In Progress
Chris Behrens (cbehrens) wrote :

*sigh*. Looks like rebuild had the same bug after admin_pass was removed. lp:832096.

The merge comment was:

" - rebuilds are functional again
  - OSAPI v1.1 rebuild will accept adminPass or generate a new one, returning it in a server entity
  - OSAPI v1.0 will generate a new password, but it doesn't communicate it back to the user
"

I guess rescue needs the same fixes.

Thierry Carrez (ttx) on 2011-09-01
Changed in nova:
importance: Undecided → High
Thierry Carrez (ttx) on 2011-09-20
Changed in nova:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2011-11-09
Changed in nova:
milestone: none → essex-1
Thierry Carrez (ttx) on 2011-11-17
Changed in nova:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-04-05
Changed in nova:
milestone: essex-1 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers